Index: branches/ODCCP/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/ODCCP/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 452)
+++ branches/ODCCP/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 453)
@@ -5992,22 +5992,22 @@
                 uint64_t receive_data = p_dspin_in.data.read();
                 // initialize coherence packet type
-                uint64_t receive_type = DspinDhccpParam::dspin_get(receive_data,
-                                            DspinDhccpParam::FROM_MC_TYPE);
+                uint64_t receive_type = DspinOdccpParam::dspin_get(receive_data,
+                                            DspinOdccpParam::FROM_MC_TYPE);
                 // initialize data/ins flip_flop (0 data / 1 ins)
                 r_cc_receive_data_ins = (bool)(receive_type & 0x1);
                 // test for a broadcast
-                if (DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::FROM_MC_BC))
+                if (DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::FROM_MC_BC))
                 {
                     r_cc_receive_fsm = CC_RECEIVE_BRDCAST_HEADER;
                 }
                 // test for a CLACK
-                else if ((receive_type == DspinDhccpParam::TYPE_CLEANUP_ACK_DATA) or
-                         (receive_type == DspinDhccpParam::TYPE_CLEANUP_ACK_INST))
+                else if ((receive_type == DspinOdccpParam::TYPE_CLEANUP_ACK_DATA) or
+                         (receive_type == DspinOdccpParam::TYPE_CLEANUP_ACK_INST))
                 {
                     r_cc_receive_fsm = CC_RECEIVE_CLACK;
                 }
                 // test for a multi updt
-                else if ((receive_type == DspinDhccpParam::TYPE_MULTI_UPDT_DATA) or
-                         (receive_type == DspinDhccpParam::TYPE_MULTI_UPDT_INST))
+                else if ((receive_type == DspinOdccpParam::TYPE_MULTI_UPDT_DATA) or
+                         (receive_type == DspinOdccpParam::TYPE_MULTI_UPDT_INST))
                 {
                     r_cc_receive_fsm = CC_RECEIVE_UPDT_HEADER;
@@ -6033,9 +6033,9 @@
                 // request dcache to handle the CLACK
                 r_cc_receive_dcache_req  = true;
-                r_cc_receive_dcache_set  = DspinDhccpParam::dspin_get(receive_data, 
-                                           DspinDhccpParam::CLEANUP_ACK_SET) & 
+                r_cc_receive_dcache_set  = DspinOdccpParam::dspin_get(receive_data, 
+                                           DspinOdccpParam::CLEANUP_ACK_SET) & 
                                            ((1ULL<<(uint32_log2(m_dcache_sets)))-1);
-                r_cc_receive_dcache_way  = DspinDhccpParam::dspin_get(receive_data, 
-                                           DspinDhccpParam::CLEANUP_ACK_WAY) & 
+                r_cc_receive_dcache_way  = DspinOdccpParam::dspin_get(receive_data, 
+                                           DspinOdccpParam::CLEANUP_ACK_WAY) & 
                                            ((1ULL<<(uint32_log2(m_dcache_ways)))-1);
                 r_cc_receive_dcache_type = CC_TYPE_CLACK;
@@ -6050,9 +6050,9 @@
                 // request icache to handle the CLACK
                 r_cc_receive_icache_req  = true;
-                r_cc_receive_icache_set  = DspinDhccpParam::dspin_get(receive_data,
-                                           DspinDhccpParam::CLEANUP_ACK_SET) & 
+                r_cc_receive_icache_set  = DspinOdccpParam::dspin_get(receive_data,
+                                           DspinOdccpParam::CLEANUP_ACK_SET) & 
                                            ((1ULL<<(uint32_log2(m_icache_sets)))-1);
-                r_cc_receive_icache_way  = DspinDhccpParam::dspin_get(receive_data,
-                                           DspinDhccpParam::CLEANUP_ACK_WAY) & 
+                r_cc_receive_icache_way  = DspinOdccpParam::dspin_get(receive_data,
+                                           DspinOdccpParam::CLEANUP_ACK_WAY) & 
                                            ((1ULL<<(uint32_log2(m_icache_ways)))-1);
                 r_cc_receive_icache_type = CC_TYPE_CLACK;
@@ -6086,11 +6086,11 @@
                 // request dcache to handle the BROADCAST
                 r_cc_receive_dcache_req  = true;
-                r_cc_receive_dcache_nline  = DspinDhccpParam::dspin_get(receive_data,
-                                             DspinDhccpParam::BROADCAST_NLINE);
+                r_cc_receive_dcache_nline  = DspinOdccpParam::dspin_get(receive_data,
+                                             DspinOdccpParam::BROADCAST_NLINE);
                 r_cc_receive_dcache_type = CC_TYPE_BRDCAST;
                 // request icache to handle the BROADCAST
                 r_cc_receive_icache_req  = true;
-                r_cc_receive_icache_nline  = DspinDhccpParam::dspin_get(receive_data,
-                                             DspinDhccpParam::BROADCAST_NLINE);
+                r_cc_receive_icache_nline  = DspinOdccpParam::dspin_get(receive_data,
+                                             DspinOdccpParam::BROADCAST_NLINE);
                 r_cc_receive_icache_type = CC_TYPE_BRDCAST;
                 // get back to idle state
@@ -6110,6 +6110,6 @@
                  not (r_cc_receive_dcache_req.read()))
             {
-                r_cc_receive_dcache_updt_tab_idx = DspinDhccpParam::dspin_get(receive_data,
-                                                   DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
+                r_cc_receive_dcache_updt_tab_idx = DspinOdccpParam::dspin_get(receive_data,
+                                                   DspinOdccpParam::MULTI_INVAL_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_INVAL_NLINE;
                 break;
@@ -6119,6 +6119,6 @@
                  not (r_cc_receive_icache_req.read()))
             {
-                r_cc_receive_icache_updt_tab_idx = DspinDhccpParam::dspin_get(receive_data,
-                                                   DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
+                r_cc_receive_icache_updt_tab_idx = DspinOdccpParam::dspin_get(receive_data,
+                                                   DspinOdccpParam::MULTI_INVAL_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_INVAL_NLINE;
                 break;
@@ -6139,5 +6139,5 @@
                 // request dcache to handle the INVAL
                 r_cc_receive_dcache_req  = true;
-                r_cc_receive_dcache_nline  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_INVAL_NLINE);
+                r_cc_receive_dcache_nline  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_INVAL_NLINE);
                 r_cc_receive_dcache_type = CC_TYPE_INVAL;
                 // get back to idle state
@@ -6150,5 +6150,5 @@
                 // request icache to handle the INVAL
                 r_cc_receive_icache_req  = true;
-                r_cc_receive_icache_nline  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_INVAL_NLINE);
+                r_cc_receive_icache_nline  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_INVAL_NLINE);
                 r_cc_receive_icache_type = CC_TYPE_INVAL;
                 // get back to idle state
@@ -6168,5 +6168,5 @@
             if ((r_cc_receive_data_ins.read() == 0) and not r_cc_receive_dcache_req.read() and r_cc_receive_updt_fifo_be.empty())
             {
-                r_cc_receive_dcache_updt_tab_idx  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_UPDT_INDEX);
+                r_cc_receive_dcache_updt_tab_idx  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_UPDT_NLINE;
                 break;
@@ -6176,5 +6176,5 @@
             if ((r_cc_receive_data_ins.read() == 1) and not r_cc_receive_icache_req.read() and r_cc_receive_updt_fifo_be.empty())
             {
-                r_cc_receive_icache_updt_tab_idx  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_UPDT_INDEX);
+                r_cc_receive_icache_updt_tab_idx  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_UPDT_INDEX);
                 r_cc_receive_fsm = CC_RECEIVE_UPDT_NLINE;
                 break;
@@ -6195,6 +6195,6 @@
                  (p_dspin_in.write.read()) )
             {
-                r_cc_receive_dcache_nline  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_NLINE);
-                r_cc_receive_word_idx  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_WORD_INDEX);
+                r_cc_receive_dcache_nline  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_NLINE);
+                r_cc_receive_word_idx  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_WORD_INDEX);
                 r_cc_receive_dcache_type = CC_TYPE_UPDT;
                 // get back to idle state
@@ -6209,6 +6209,6 @@
                  (p_dspin_in.write.read()))
             {
-                r_cc_receive_icache_nline  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_NLINE);
-                r_cc_receive_word_idx  = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_WORD_INDEX);
+                r_cc_receive_icache_nline  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_NLINE);
+                r_cc_receive_word_idx  = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_WORD_INDEX);
                 r_cc_receive_icache_type = CC_TYPE_UPDT;
                 // get back to idle state
@@ -6233,6 +6233,6 @@
                 uint64_t receive_data = p_dspin_in.data.read();
                 bool     receive_eop  = p_dspin_in.eop.read();
-                cc_receive_updt_fifo_be   = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_BE);
-                cc_receive_updt_fifo_data = DspinDhccpParam::dspin_get(receive_data,DspinDhccpParam::MULTI_UPDT_DATA);
+                cc_receive_updt_fifo_be   = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_BE);
+                cc_receive_updt_fifo_data = DspinOdccpParam::dspin_get(receive_data,DspinOdccpParam::MULTI_UPDT_DATA);
                 cc_receive_updt_fifo_eop  = receive_eop;
                 cc_receive_updt_fifo_put  = true;
@@ -6454,10 +6454,10 @@
         {
             // initialize dspin send data
-            DspinDhccpParam::dspin_set(dspin_send_data,
+            DspinOdccpParam::dspin_set(dspin_send_data,
                                        m_cc_global_id,
-                                       DspinDhccpParam::CLEANUP_SRCID);
-            DspinDhccpParam::dspin_set(dspin_send_data,
+                                       DspinOdccpParam::CLEANUP_SRCID);
+            DspinOdccpParam::dspin_set(dspin_send_data,
                                        0,
-                                       DspinDhccpParam::FROM_L1_BC);
+                                       DspinOdccpParam::FROM_L1_BC);
 
             if(r_cc_send_last_client.read() == 0) // dcache active request
@@ -6465,32 +6465,32 @@
                 uint64_t dest = (uint64_t) r_dcache_cc_send_nline.read() 
                                 >> (m_nline_width - m_x_width - m_y_width) 
-                                << (DspinDhccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                << (DspinOdccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            dest,
-                                           DspinDhccpParam::CLEANUP_DEST);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::CLEANUP_DEST);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            (r_dcache_cc_send_nline.read() & 0x300000000ULL)>>32,
-                                           DspinDhccpParam::CLEANUP_NLINE_MSB);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::CLEANUP_NLINE_MSB);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_dcache_cc_send_way.read(),
-                                           DspinDhccpParam::CLEANUP_WAY_INDEX);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
-                                           DspinDhccpParam::TYPE_CLEANUP_DATA,
-                                           DspinDhccpParam::FROM_L1_TYPE);
+                                           DspinOdccpParam::CLEANUP_WAY_INDEX);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::TYPE_CLEANUP_DATA,
+                                           DspinOdccpParam::FROM_L1_TYPE);
                 /*ODCCP*/ // If cleanup on NCC line we set the CLEANUP_NCC bit in cleanup flit
                 if (r_dcache_cleanup_ncc.read())                 
                 {
-                    DspinDhccpParam::dspin_set(dspin_send_data,
+                    DspinOdccpParam::dspin_set(dspin_send_data,
                                                1,
-                                               DspinDhccpParam::CLEANUP_NCC);
+                                               DspinOdccpParam::CLEANUP_NCC);
                 }
                 else
                 {
-                    DspinDhccpParam::dspin_set(dspin_send_data,
+                    DspinOdccpParam::dspin_set(dspin_send_data,
                                                0,
-                                               DspinDhccpParam::CLEANUP_NCC);
+                                               DspinOdccpParam::CLEANUP_NCC);
                 }
 
@@ -6500,25 +6500,25 @@
                 uint64_t dest = (uint64_t) r_icache_cc_send_nline.read() 
                                 >> (m_nline_width - m_x_width - m_y_width) 
-                                << (DspinDhccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                << (DspinOdccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            dest,
-                                           DspinDhccpParam::CLEANUP_DEST);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::CLEANUP_DEST);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            (r_icache_cc_send_nline.read() & 0x300000000ULL)>>32,
-                                           DspinDhccpParam::CLEANUP_NLINE_MSB);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::CLEANUP_NLINE_MSB);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_icache_cc_send_way.read(),
-                                           DspinDhccpParam::CLEANUP_WAY_INDEX);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
-                                           DspinDhccpParam::TYPE_CLEANUP_INST,
-                                           DspinDhccpParam::FROM_L1_TYPE);
+                                           DspinOdccpParam::CLEANUP_WAY_INDEX);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::TYPE_CLEANUP_INST,
+                                           DspinOdccpParam::FROM_L1_TYPE);
                 
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            0,
-                                           DspinDhccpParam::CLEANUP_NCC);
+                                           DspinOdccpParam::CLEANUP_NCC);
             }
             // send flit
@@ -6544,13 +6544,13 @@
             if(r_cc_send_last_client.read() == 0) // dcache active request
             {
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_dcache_cc_send_nline.read() & 0xFFFFFFFFULL,
-                                           DspinDhccpParam::CLEANUP_NLINE_LSB);
+                                           DspinOdccpParam::CLEANUP_NLINE_LSB);
             }
             else                                  // icache active request
             {
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_icache_cc_send_nline.read() & 0xFFFFFFFFULL,
-                                           DspinDhccpParam::CLEANUP_NLINE_LSB);
+                                           DspinOdccpParam::CLEANUP_NLINE_LSB);
             }
             // send flit
@@ -6571,7 +6571,7 @@
             }
 
-            DspinDhccpParam::dspin_set(dspin_send_data,
+            DspinOdccpParam::dspin_set(dspin_send_data,
                                        r_cc_send_data_fifo.read(),
-                                       DspinDhccpParam::CLEANUP_DATA_UPDT);
+                                       DspinOdccpParam::CLEANUP_DATA_UPDT);
             
             p_dspin_out.data = dspin_send_data;
@@ -6583,13 +6583,13 @@
         {
             // initialize dspin send data
-//            DspinDhccpParam::dspin_set(dspin_send_data,
+//            DspinOdccpParam::dspin_set(dspin_send_data,
 //                                       1,
-//                                       DspinDhccpParam::FROM_L1_EOP);
-            DspinDhccpParam::dspin_set(dspin_send_data,
+//                                       DspinOdccpParam::FROM_L1_EOP);
+            DspinOdccpParam::dspin_set(dspin_send_data,
                                        0,
-                                       DspinDhccpParam::FROM_L1_BC);
-            DspinDhccpParam::dspin_set(dspin_send_data,
-                                       DspinDhccpParam::TYPE_MULTI_ACK,
-                                       DspinDhccpParam::FROM_L1_TYPE);
+                                       DspinOdccpParam::FROM_L1_BC);
+            DspinOdccpParam::dspin_set(dspin_send_data,
+                                       DspinOdccpParam::TYPE_MULTI_ACK,
+                                       DspinOdccpParam::FROM_L1_TYPE);
 
             if(r_cc_send_last_client.read() == 0) // dcache active request
@@ -6597,13 +6597,13 @@
                 uint64_t dest = (uint64_t) r_dcache_cc_send_nline.read() 
                                 >> (m_nline_width - m_x_width - m_y_width) 
-                                << (DspinDhccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
+                                << (DspinOdccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
  
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            dest,
-                                           DspinDhccpParam::MULTI_ACK_DEST);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::MULTI_ACK_DEST);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_dcache_cc_send_updt_tab_idx.read(),
-                                           DspinDhccpParam::MULTI_ACK_UPDT_INDEX);
+                                           DspinOdccpParam::MULTI_ACK_UPDT_INDEX);
             }
             else                                    // icache active request
@@ -6611,14 +6611,14 @@
                 uint64_t dest = (uint64_t) r_icache_cc_send_nline.read() 
                                 >> (m_nline_width - m_x_width - m_y_width) 
-                                << (DspinDhccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
+                                << (DspinOdccpParam::GLOBALID_WIDTH - m_x_width - m_y_width);
  
 
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            dest,
-                                           DspinDhccpParam::MULTI_ACK_DEST);
-
-                DspinDhccpParam::dspin_set(dspin_send_data,
+                                           DspinOdccpParam::MULTI_ACK_DEST);
+
+                DspinOdccpParam::dspin_set(dspin_send_data,
                                            r_icache_cc_send_updt_tab_idx.read(),
-                                           DspinDhccpParam::MULTI_ACK_UPDT_INDEX);
+                                           DspinOdccpParam::MULTI_ACK_UPDT_INDEX);
             }
             // send flit
